Bug 218288 - playback freezes
playback freezes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gstreamer (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
David Lawrence
: Desktop
Depends On: 215556
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 09:18 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 09:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my patch (4.34 KB, patch)
2006-12-13 11:21 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-12-04 09:18:00 EST
+++ This bug was initially created as a clone of Bug #215556 +++

This is with the latest fluendo plugins, and with totem 2.16.3, playback
of streams from cnn.com freezes after a few seconds.

This is said to be fixed in gst-plugins-base cvs.

-- Additional comment from bnocera@redhat.com on 2006-11-17 12:35 EST --
Should be:
http://webcvs.freedesktop.org/gstreamer/gst-plugins-base/gst/playback/gstplaybasebin.c?r1=1.115&r2=1.116

With change entry:
2006-09-15  Wim Taymans  <wim@fluendo.com>

        * gst/playback/gstplaybasebin.c: (gst_play_base_bin_class_init),
        (gst_play_base_bin_init), (fill_buffer), (check_queue),
        (queue_threshold_reached), (gst_play_base_bin_set_property),
        (gst_play_base_bin_get_property):
        * gst/playback/gstplaybasebin.h:
        Don't use a 0 low watermark when buffering, it is catching starvation
        way too late. Instead, use a 3 second queue with 30 and 95
        percent low/high watermarks.
        Added queue-min-threshold property to configure low watermark.
        Use new _buffering message API.
        Make queue_threshold variable big enough to store a uint64 time value.
        API: playbin::queue-min-threshold property.

It might bring in some regressions
(http://bugzilla.gnome.org/show_bug.cgi?id=357577), and require some backporting
of the buffer API, though it should be quite straight forward (ie. just a
cut'n'paste job).

-- Additional comment from bnocera@redhat.com on 2006-11-29 10:56 EST --
We might also need to backport some bits out of:
http://bugzilla.gnome.org/show_bug.cgi?id=357577
which is one of the regressions introduced by the patch above.

-- Additional comment from mclasen@redhat.com on 2006-11-29 14:59 EST --
Bastian, can you open a new bug for that ?
Comment 2 Matthias Clasen 2006-12-13 11:18:54 EST
The patches didn't apply cleanly, so I applied them manually.
Can you look over the patch to see if I made any mistakes, Bastian ?
Comment 3 Matthias Clasen 2006-12-13 11:21:49 EST
Created attachment 143533 [details]
my patch
Comment 4 Matthias Clasen 2006-12-14 10:51:22 EST
Fixed in gstreamer-plugins-base-0.10.9-6.el5
Comment 6 Zack Cerza 2007-01-02 14:40:34 EST
From http://bugzilla.gnome.org/show_bug.cgi?id=357577 :
$ gst-launch-0.10 playbin uri=http://pancrace.tv/picts/PANCRACE-TV.jpg

seems works. VERIFIED.
Comment 7 Jay Turner 2007-01-03 09:49:22 EST
gstreamer-plugins-base-0.10.9-6.el5 included in the 20061218.1 trees.

Note You need to log in before you can comment on or make changes to this bug.